Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class DropBarInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.DropBarInfo

    public class DropBarInfo

extends ChartTypeInfo

contains the information of DropBar chart type in the file. The class extends chartTypeInfo

Field Summary

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`DropBarInfo(short dataLabel, boolean is3D, Info3D info3D)` Constructs class DropBarInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Get the type of the chart
`short` | `getStyle()` Get Drop bar gap width
`boolean` | `hasShadow()` get whether this chart has a shadow or not
`void` | `setStyle(short style)` Set Drop bar gap width

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropBarInfo

    public DropBarInfo(short dataLabel,
                       boolean is3D,
                       Info3D info3D)

  Constructs class DropBarInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `is3D` - Is 3D chart or not
    `style` - Drop bar gap width

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Get Drop bar gap width

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    Drop bar gap width

### setStyle

    public void setStyle(short style)

  Set Drop bar gap width

  Parameters:
    `style` - Drop bar gap width

### hasShadow

    public boolean hasShadow()

  get whether this chart has a shadow or not

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this chart has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD